%define module_name	fpix
%define module_release	alt2.132626.14
%define module_version	svn.r76

%define kversion	2.6.18
%define krelease	alt14
%define flavour		ovz-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for Fujifilm FinePix
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware
Serial:		1

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.zago.net/v4l2/finepix/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Fujifilm FinePix (PC-CAM / Webcam mode) Video4Linux and Video4Linux2 driver.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32" \
%else
CC="gcc-$GCC_VERSION" \
%endif
KSRC=%_usrsrc/linux-%kversion-%flavour/

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1:svn.r76-alt2.132626.14
- Removed unneeded "Prereq: modutils".

* Sun Dec 10 2006 L.A. Kostis <lakostis@altlinux.ru> 1:svn.r76-alt1.132626.14
- new svn snapshot (r76).

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 1:svn.r75-alt2.132626.14
- add hack for %%ix86 cross-build on x86_64 host.

* Fri Aug 11 2006 L.A. Kostis <lakostis@altlinux.ru> 1:svn.r75-alt1.132626.14
- update to svn r75.
- remove obsoleted patches.

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 20060106-alt2.132626.14
- Added:
  + fpix-20060106-alt-usb_driver-owner.patch: fix compilation with kernel
    2.6.16 (which no longer has the .owner field in struct usb_driver).

* Fri Jan 06 2005 LAKostis <lakostis at altlinux.ru> 20060106-alt1.132626.14
- initial build for Sisyphus.

